Subject: Neighbor priority

From: Niveda Monyvannan <[email-masked]>
Date: Fri, 17 Oct 2003 18:16:19 +0530

Hi,
     There is an option to configure the priority for the NBMA neighbor in RFC 1850.
When the hello packet is received from the neighbor, it will be updated in the neighbor data structure and will be used for Election.
      What is the use of configuring this?

      We have seen a mail thread stating that in CISCO also,

After configuring this neighbor priority, the value is shown in the 'show neighbor' is reflecting the priority specified in the hello of the neighbor.

Why is this redundant configuration

Regards,
Niveda
--
______________________________________________
IndiaInfo Mail - the free e-mail service with a difference! www.indiainfo.com
Check out our value-added Premium features, such as an extra 20MB for mail storage, POP3, e-mail forwarding, and ads-free mailboxes!

Powered by Outblaze

---

From: Acee Lindem <[email-masked]>
Date: Fri, 17 Oct 2003 09:54:51 -0400

>      What is the use of configuring this?
Hi Niveda,

You don't need to know the exact priority for a neighbor in advance but
on NBMA networks you  do need
know whether or not the router is DR eligible to whether when to send
hellos to the neighbor (all DR eligible
neighbors on an NBMA network need to exchange hellos every hello
interval seconds). Rather than add a
separate MIB variable for DR eligibility, ospfNbrPriority is made
read-create.

For more information on sending hello packets on NBMA networks, refer to
section 9.5.1 in RFC2328.

Thanks,
Acee